Skip to main content
GET
/
payment-batches
/
{paymentBatchId}
/
alerts
List payment batch alerts
curl --request GET \
  --url https://api.equalsmoney.com/v2/payment-batches/{paymentBatchId}/alerts \
  --header 'Authorization: <api-key>'
{
  "limit": 200,
  "offset": 100,
  "count": 67,
  "rows": [
    {
      "timestamp": "2019-08-24T14:15:22Z",
      "type": "Error",
      "code": "string",
      "inputIndex": 0,
      "message": "string"
    }
  ]
}

Authorizations

Authorization
string
header
required

Path Parameters

paymentBatchId
string<uuid>
required

The unique ID of the Payment Batch.

Maximum string length: 36

Query Parameters

accountId
string
required

The ID of the account to work with.

Example:

"F50091"

sort
enum<string>
default:desc

Determines whether the page of items are sorted in ascending or descending order.

Available options:
asc,
desc
offset
integer
default:0

The number of items to skip before returning results.

Example:

100

limit
integer
default:100

The maximum number of results to return.

Required range: 1 <= x <= 1000
Example:

200

from
string<date-time>
to
string<date-time>
alertType
enum<string>
Available options:
Error,
Warning
alertCode
string

Response

200 - application/json

OK

count
integer
required

The total amount of records matching the querying when "limit" is ignored.

Example:

67

rows
object[]
required

Array of all alerts for payment batch.

limit
integer
default:100

The maximum number of results to return.

Required range: 1 <= x <= 1000
Example:

200

offset
integer
default:0

The number of items to skip before returning results.

Example:

100